GeoGetStylesUtility (A library with several utility classes to work with geo-spatial data: WmsUrlValidator, GeoGetStyles, etc.. 1.0.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.spatial.data.geoutility

## Class GeoGetStylesUtility

- java.lang.Object
- - org.gcube.spatial.data.geoutility.GeoGetStylesUtility

-     public class GeoGetStylesUtility
      extends Object

  The Class GeoGetStylesUtility.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 25, 2016

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COLORSCALERANGE`
    `static String` | `COLORSCALERANGE_DEFAULT_VALUE`
    `static int` | `CONNECTION_TIMEOUT` The Constant CONNECTION_TIMEOUT.
    `static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoGetStylesUtility(String wmsRequest)` Instantiates a new geo get styles utility.
    `GeoGetStylesUtility(String wmsRequest, int connectionTimeout)` Instantiates a new geo get styles utility.
    `GeoGetStylesUtility(WmsUrlValidator validator)` Instantiates a new geo get styles utility.
    `GeoGetStylesUtility(WmsUrlValidator validator, int connectionTimeout)` Instantiates a new geo get styles utility.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getGeoStyles()` Gets the geo styles.
    `Map<String,String>` | `getMapNcWmsStyles()` Gets the map ncWMS styles.
    `Map<String,String>` | `getMapWmsNoStandardParameters()` Gets the map wms no standard parameters.
    `String` | `getWmsRequest()` Gets the wms request.
    `boolean` | `isNcWms()` Checks if is nc wms.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.apache.log4j.Logger logger

    - #### COLORSCALERANGE

          public static final String COLORSCALERANGE

      See Also:
        Constant Field Values

    - #### COLORSCALERANGE_DEFAULT_VALUE

          public static final String COLORSCALERANGE_DEFAULT_VALUE

      See Also:
        Constant Field Values

    - #### CONNECTION_TIMEOUT

          public static final int CONNECTION_TIMEOUT

      The Constant CONNECTION_TIMEOUT.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GeoGetStylesUtility

          public GeoGetStylesUtility(String wmsRequest)
                              throws Exception

      Instantiates a new geo get styles utility.
      Parameters:
        `wmsRequest` - the wms request
      Throws:
        `Exception` - the exception

    - #### GeoGetStylesUtility

          public GeoGetStylesUtility(String wmsRequest,
                             int connectionTimeout)
                              throws Exception

      Instantiates a new geo get styles utility.
      Parameters:
        `wmsRequest` - the wms request
        `connectionTimeout` - the connection timeout sets a specified timeout value, in milliseconds, to be used when opening URLConnection.
      Throws:
        `Exception` - the exception

    - #### GeoGetStylesUtility

          public GeoGetStylesUtility(WmsUrlValidator validator)
                              throws Exception

      Instantiates a new geo get styles utility.
      Parameters:
        `validator` - the validator
      Throws:
        `Exception` - the exception

    - #### GeoGetStylesUtility

          public GeoGetStylesUtility(WmsUrlValidator validator,
                             int connectionTimeout)
                              throws Exception

      Instantiates a new geo get styles utility.
      Parameters:
        `validator` - the validator
        `connectionTimeout` - the connection timeout sets a specified timeout value, in milliseconds, to be used when opening URLConnection.
      Throws:
        `Exception` - the exception

  - ### Method Detail

    - #### getGeoStyles

          public List<String> getGeoStyles()

      Gets the geo styles.
      Returns:
        the geoStyles

    - #### isNcWms

          public boolean isNcWms()

      Checks if is nc wms.
      Returns:
        the isNcWms

    - #### getWmsRequest

          public String getWmsRequest()

      Gets the wms request.
      Returns:
        the wmsRequest

    - #### getMapWmsNoStandardParameters

          public Map<String,String> getMapWmsNoStandardParameters()

      Gets the map wms no standard parameters.
      Returns:
        the map wms no standard parameters

    - #### getMapNcWmsStyles

          public Map<String,String> getMapNcWmsStyles()

      Gets the map ncWMS styles.
      Returns:
        an empty map if ncWMS no standard parameters don't exist

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.